import { objectId } from '@jig-software/zod-bson';
import { z } from 'zod';

export const Holiday = z.object({
  _id: objectId(),
  uid: z.string(),
  name: z.string(),
  startdate: z.string(),
  enddate: z.string(),
  createdAt: z.date(),
  updatedAt: z.date(),
});

export type Holiday = z.infer<typeof Holiday>;
